Name:		deja-dup
Version:	22.1
Release:	%mkrel 1
Summary:	Simple backup tool and front-end for duplicity

Group:		Archiving/Backup
License:	GPLv3+
URL:		https://launchpad.net/deja-dup
Source0:	http://launchpad.net/%{name}/22/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
BuildRequires:	pango-devel
BuildRequires:	cairo-devel
BuildRequires:	vala-devel
BuildRequires:	GConf2
BuildRequires:	libGConf2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	glib2-devel
BuildRequires:	libnotify-devel
BuildRequires:	nautilus-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	itstool
BuildRequires:	yelp-tools
Requires:	duplicity >= 0.6.14 
Requires:       python-cloudfiles

%description
Déjà  Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
back-end.

Features:
 - Support for local, remote, or cloud backup locations, such as Amazon S3
 - Securely encrypts and compresses your data
 - Incrementally backs up, letting you restore from any particular backup
 - Schedules regular backups
 - Integrates well into your GNOME desktop

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--disable-schemas-compile \
	--disable-scrollkeeper \
        --without-unity \
        --with-gnu-ld \
        --with-nautilus
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#clean some unwanted files
rm -rf %{buildroot}/%{_libdir}/nautilus/extensions-*/*.la
rm -rf %{buildroot}/%{_datadir}/icons/Humanity/

%find_lang %{name} --with-gnome --with-help --with-man --all-name

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_bindir}/deja-*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.DejaDup.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/icons/hicolor/*/devices/%{name}*
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libdir}/nautilus/extensions-*/lib%{name}.so
%{_mandir}/man1/deja-dup*.1.*
%{_sysconfdir}/xdg/autostart/%{name}-monitor.desktop


%changelog

* Fri Aug 10 2012 wally <wally> 22.1-1.mga2
+ Revision: 280418
- update to a stable release 22.1 (mga#6999)

* Fri Feb 24 2012 philippem <philippem> 21.90-1.mga2
+ Revision: 213863
- Update to 21.90.

* Thu Nov 03 2011 philippem <philippem> 20.1-1.mga2
+ Revision: 162056
- Update to 20.1

* Wed Sep 21 2011 philippem <philippem> 19.92-1.mga2
+ Revision: 146469
- add help files
- fix BR missing istool and yelp-tools
- add Requires python-cloudfiles
- New upstream release
- Drop no longer needed build requires on po4a and unique-devel
- Add versioned requires on duplicity

* Sat Jul 02 2011 wally <wally> 19.3-1.mga2
+ Revision: 117475
- new version 19.3
- clean .spec

  + dmorgan <dmorgan>
    - Rebuild against new libnotify

* Fri Mar 18 2011 philippem <philippem> 16.1.1-1.mga1
+ Revision: 74211
- https://launchpad.net/deja-dup/+announcement/7239
- Upstream bug fix release
- This release fixes a bug in that caused help documentation to not be translated

* Mon Mar 14 2011 misc <misc> 16.1-4.mga1
+ Revision: 71399
- use proper mandriva macros
- fix Group

* Thu Feb 24 2011 philippem <philippem> 16.1-3.mga1
+ Revision: 58974
+ rebuild (emptylog)

* Thu Feb 24 2011 philippem <philippem> 16.1-2.mga1
+ Revision: 58961
- clean post and pre

* Thu Feb 24 2011 philippem <philippem> 16.1-1.mga1
+ Revision: 58922
- imported package deja-dup


* Thu Feb 24 2011 Philippe Makowski <makowski.mageia@gmail.com> 16.1-1mga1
- initial import based on Fedora spec

